package main

import (
  "fmt"
  "bytes"
  "mime/multipart"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.2weima.com/api/qrencode"
  method := "POST"

  payload := &bytes.Buffer{}
  writer := multipart.NewWriter(payload)
  _ = writer.WriteField("qr_content", "test qr_content")
  _ = writer.WriteField("qr_size", "350")
  _ = writer.WriteField("qr_margin", "10")
  _ = writer.WriteField("qr_level", "M")
  _ = writer.WriteField("qr_version", "0")
  _ = writer.WriteField("qr_shape", "0")
  _ = writer.WriteField("qr_mark_shape", "0")
  _ = writer.WriteField("template_id", "490")
  err := writer.Close()
  if err != nil {
    fmt.Println(err)
    return
  }


  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Accept", "application/json")
  req.Header.Add("Authorization", "Bearer 3532|inyLsQfreYzslELdBRTatphsOMkHjnxewijmDbUc")

  req.Header.Set("Content-Type", writer.FormDataContentType())
  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}